Subject: bug#51407: closed (Re: bug#51407: parted didn’tcheck the returned sense data)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Oct 2021 16:26:02 +0000

Your bug report

#51407: parted didn’t check the returned sense data

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51407: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51407
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51407: parted didn’t check the returned sense data
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Date: Thu, 28 Oct 2021 09:25:16 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Oct 28, 2021 at 02:32:43AM +0000, [email-masked] wrote:
> Hi Brian,
> Thanks for the reply. 
> Seems Kernel called parted to send Read(16) command to the drive, it is more likely kernel didn't check the returned sense data and change the drive capacity to 0.
> I suppose this bug#51407 can be closed. Thanks again.

The kernel doesn't call parted. So this is bound to be something else.

Thanks,

Brian
-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: parted didn’t check the returned sense data
From: <[email-masked]>
To: <[email-masked]>
Date: Tue, 26 Oct 2021 09:55:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
When we did secure erase for large capacity drive (18TB), the drive capacity will changed to 0. This issue can be reproduced each time, please refer to attached files for details.

>From the system log we found parted send Read(16) to sde at Oct 13 01:30:02, due to security erase in progress “Not Ready” is returned from this drive which is expected.
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Read(16) 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Read(16) 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Synchronize Cache(10) 35 00 00 00 00 00 00 00 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Read(16) 88 00 00 00 00 00 00 00 00 00 00 00 00 20 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Read(16) 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Read(16) 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Read(16) 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Read(16) 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Read(16) 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] CDB: Read(16) 88 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
Oct 13 01:30:02 localhost kernel: blk_update_request: I/O error, dev sde, sector 0
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read
Oct 13 01:30:02 localhost kernel: Buffer I/O error on dev sde, logical block 0, async page read

// host tried to recover this drive by spinning up but no responding, which due to the same reason, i.e. security erase in progress.
Oct 13 01:30:02 localhost kernel: sd 13:0:3:0: [sde] Spinning up disk...
Oct 13 01:31:43 localhost kernel: ....................................................................................................not responding...

// host send Read Capacity(16) and Read Capacity(10) but still failed (security erase in progress), finally host changed the capacity to zero.
Oct 13 01:31:43 localhost kernel: sd 13:0:3:0: [sde] Read Capacity(16) failed: Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:31:43 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:31:43 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:31:43 localhost kernel: sd 13:0:3:0: [sde] Read Capacity(10) failed: Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 13 01:31:43 localhost kernel: sd 13:0:3:0: [sde] Sense Key : Not Ready [current] [descriptor]
Oct 13 01:31:43 localhost kernel: sd 13:0:3:0: [sde] Add. Sense: Logical unit not ready, security session in progress
Oct 13 01:31:43 localhost kernel: sde: detected capacity change from 18000207937536 to 0

I suppose parted should check the returned sense data and not change drive capacity to 0, could you please help to check this issue? Many thanks.

Regards,
Johnson